package com.trade.service.thirdparty.xiaotu.dto;

/**
 * 公共返回信息
 */
public class CommonResponse<T> {

    private String code;
    private String msg;
    private T body;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getBody() {
        return body;
    }

    public void setBody(T body) {
        this.body = body;
    }

    /**
     * 判断是否成功
     * 
     * @return
     */
    public boolean isSuccess() {
        return "200".equals(code);
    }
}
